> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query configuration details

> This endpoint allows you to query the API configuration details.



## OpenAPI

````yaml get /configuration
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /configuration:
    get:
      tags:
        - Configuration
      summary: Query configuration details
      description: This endpoint allows you to query the API configuration details.
      operationId: queryConfigurationDetails
      responses:
        '200':
          description: Query configuration details
          headers:
            Age:
              schema:
                type: string
                example: '27'
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=2123
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Tue, 17 Dec 2024 14:02:46 GMT
            ETag:
              schema:
                type: string
                example: W/"633473beea78b7c1134b70098a3f7420"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 156336391961f724345f6534c674b6ea.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: CJpDV7gyupgAbzf8Tfh_wuwHhzfkXck8Tl8bNTCRL5-iD2p6Y5AYIQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Hit from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '22708'
            x-memc-expires:
              schema:
                type: string
                example: '2123'
            x-memc-key:
              schema:
                type: string
                example: 7a5a8ba4b0a7dc8def909bb4971ed158
          content:
            application/json:
              schema:
                type: object
                properties:
                  change_keys:
                    type: array
                    items:
                      type: string
                      example: adult
                    example:
                      - adult
                      - air_date
                      - also_known_as
                      - alternative_titles
                      - biography
                      - birthday
                      - budget
                      - cast
                      - certifications
                      - character_names
                      - created_by
                      - crew
                      - deathday
                      - episode
                      - episode_number
                      - episode_run_time
                      - freebase_id
                      - freebase_mid
                      - general
                      - genres
                      - guest_stars
                      - homepage
                      - images
                      - imdb_id
                      - languages
                      - name
                      - network
                      - origin_country
                      - original_name
                      - original_title
                      - overview
                      - parts
                      - place_of_birth
                      - plot_keywords
                      - production_code
                      - production_companies
                      - production_countries
                      - releases
                      - revenue
                      - runtime
                      - season
                      - season_number
                      - season_regular
                      - spoken_languages
                      - status
                      - tagline
                      - title
                      - translations
                      - tvdb_id
                      - tvrage_id
                      - type
                      - video
                      - videos
                  images:
                    type: object
                    properties:
                      backdrop_sizes:
                        type: array
                        items:
                          type: string
                          example: w300
                        example:
                          - w300
                          - w780
                          - w1280
                          - original
                      base_url:
                        type: string
                        example: http://image.tmdb.org/t/p/
                      logo_sizes:
                        type: array
                        items:
                          type: string
                          example: w45
                        example:
                          - w45
                          - w92
                          - w154
                          - w185
                          - w300
                          - w500
                          - original
                      poster_sizes:
                        type: array
                        items:
                          type: string
                          example: w92
                        example:
                          - w92
                          - w154
                          - w185
                          - w342
                          - w500
                          - w780
                          - original
                      profile_sizes:
                        type: array
                        items:
                          type: string
                          example: w45
                        example:
                          - w45
                          - w185
                          - h632
                          - original
                      secure_base_url:
                        type: string
                        example: https://image.tmdb.org/t/p/
                      still_sizes:
                        type: array
                        items:
                          type: string
                          example: w92
                        example:
                          - w92
                          - w185
                          - w300
                          - original
              examples:
                Query configuration details:
                  value:
                    change_keys:
                      - adult
                      - air_date
                      - also_known_as
                      - alternative_titles
                      - biography
                      - birthday
                      - budget
                      - cast
                      - certifications
                      - character_names
                      - created_by
                      - crew
                      - deathday
                      - episode
                      - episode_number
                      - episode_run_time
                      - freebase_id
                      - freebase_mid
                      - general
                      - genres
                      - guest_stars
                      - homepage
                      - images
                      - imdb_id
                      - languages
                      - name
                      - network
                      - origin_country
                      - original_name
                      - original_title
                      - overview
                      - parts
                      - place_of_birth
                      - plot_keywords
                      - production_code
                      - production_companies
                      - production_countries
                      - releases
                      - revenue
                      - runtime
                      - season
                      - season_number
                      - season_regular
                      - spoken_languages
                      - status
                      - tagline
                      - title
                      - translations
                      - tvdb_id
                      - tvrage_id
                      - type
                      - video
                      - videos
                    images:
                      backdrop_sizes:
                        - w300
                        - w780
                        - w1280
                        - original
                      base_url: http://image.tmdb.org/t/p/
                      logo_sizes:
                        - w45
                        - w92
                        - w154
                        - w185
                        - w300
                        - w500
                        - original
                      poster_sizes:
                        - w92
                        - w154
                        - w185
                        - w342
                        - w500
                        - w780
                        - original
                      profile_sizes:
                        - w45
                        - w185
                        - h632
                        - original
                      secure_base_url: https://image.tmdb.org/t/p/
                      still_sizes:
                        - w92
                        - w185
                        - w300
                        - original
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````